Bug 38106 - fails to work after applying Bugzilla #36178 work around
Summary: fails to work after applying Bugzilla #36178 work around
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn_register   
(Show other bugs)
Version: 6.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-27 19:39 UTC by scottd
Modified: 2015-01-07 23:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 21:29:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description scottd 2001-04-27 19:39:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0 i586)


Traceback (innermost last);
File "/usr/sbin/rhn_register", line 119 in ?
main()
File "/usr/sbin/rhn_register", line 100 in main
tui.main()
File "/usr/share/rhn/register/tui.py", line 1033 in main
tui.run()
File "/usr/share/rhn/register/tui.py", line 982, in run
win = self.windows[index](self.screen, self)
File "/usr/share/rhn/register/tui.py", line 590, in __init__
self.versionLabel2 = snack.Label(rhnreg.getVersion())
File "/usr/share/rhn/register/rhnreg.py", line 121 in getVersion
index = db.findbyprovides("redhat-release")[0]
IndexError: list index out of range




Reproducible: Didn't try
Steps to Reproduce:
1.after applying workaround in Bugzilla #36178, execute rhn_register from
the command line (non-Xwindows mode).
2.
3.
	

Actual Results:  Traceback (innermost last);
File "/usr/sbin/rhn_register", line 119 in ?
main()
File "/usr/sbin/rhn_register", line 100 in main
tui.main()
File "/usr/share/rhn/register/tui.py", line 1033 in main
tui.run()
File "/usr/share/rhn/register/tui.py", line 982, in run
win = self.windows[index](self.screen, self)
File "/usr/share/rhn/register/tui.py", line 590, in __init__
self.versionLabel2 = snack.Label(rhnreg.getVersion())
File "/usr/share/rhn/register/rhnreg.py", line 121 in getVersion
index = db.findbyprovides("redhat-release")[0]
IndexError: list index out of range


Note You need to log in before you can comment on or make changes to this bug.